%lib_package opensc 2
%lib_package pkcs15init 2
%lib_package scconf 2
%lib_package scldap 1
%lib_package scam 1

Summary: SmartCard library and applications
Name: opensc
Version: 0.11.1
Release: 7%{?dist}
License: GPL
Group: Applications/System
URL: http://www.opensc-project.org/
Source0: http://www.opensc-project.org/files/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gcc-c++, pkgconfig, libtool-ltdl-devel
BuildRequires: openssl-devel
BuildRequires: libassuan-devel >= 0.0.1
BuildRequires: openct-devel, pcsc-lite-devel
BuildRequires: openldap-devel
BuildRequires: pam-devel
BuildRequires: libusb-devel
BuildRequires: libXt-devel
BuildRequires: readline-devel
Provides: opensc-devel = %{evr}

%description
libopensc is a library for accessing SmartCard devices. It is also the
core library of the OpenSC project.

Basic functionality (e.g. SELECT FILE, READ BINARY) should work on any
ISO 7816-4 compatible SmartCard. Encryption and decryption using
private keys on the SmartCard is possible with PKCS #15 compatible
cards, such as the FINEID (Finnish Electronic IDentity) card.

%devel_extra_Requires openct-devel

%prep
%setup -q

%build
%configure --disable-static
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* COPYING NEWS doc
%{_bindir}/cardos-info
%{_bindir}/cryptoflex-tool
%{_bindir}/opensc-config
%{_bindir}/opensc-explorer
%{_bindir}/opensc-tool
%{_bindir}/pkcs11-tool
%{_bindir}/pkcs15-crypt
%{_bindir}/pkcs15-init
%{_bindir}/pkcs15-tool
#%{_libdir}/opensc
%{_bindir}/eidenv
%{_bindir}/netkey-tool
#%{_libdir}/pkcs11
#%{_libdir}/security/pam_opensc.la
#%{_libdir}/security/pam_opensc.so
%{_libdir}/opensc-pkcs11.so
%{_libdir}/pkcs11-spy.so
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{_mandir}/man5/*.5*
#%{_mandir}/man7/*.7*
%{_datadir}/opensc
%{_bindir}/piv-tool
%{_libdir}/opensc-signer.so

%changelog
* Wed Oct 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.11.1-7
- Update to 0.11.1.

* Fri Mar 10 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.10.1.

* Tue Jan 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.9.4.

* Tue Jan 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.9.4.

* Mon Mar 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.


